diff -ru dpkg-1.14.25.bak/debian/changelog dpkg-1.14.25/debian/changelog
--- dpkg-1.14.25.bak/debian/changelog	2009-02-17 10:53:04.000000000 +1100
+++ dpkg-1.14.25/debian/changelog	2009-02-17 11:02:08.000000000 +1100
@@ -1,3 +1,11 @@
+dpkg (1.14.25-1) unstable; urgency=low
+
+  * Call setfscreatecon(NULL) after installing a SE Linux labelled file
+    so that dpkg internal files don't get the wrong context.
+    Closes: #498438
+
+ -- Russell Coker <russell@coker.com.au>  Tue, 17 Feb 2009 10:53:10 +1100
+
 dpkg (1.14.25) unstable; urgency=low
 
   [ Guillem Jover ]
diff -ru dpkg-1.14.25.bak/src/archives.c dpkg-1.14.25/src/archives.c
--- dpkg-1.14.25.bak/src/archives.c	2009-02-17 10:53:04.000000000 +1100
+++ dpkg-1.14.25/src/archives.c	2009-02-17 11:32:40.000000000 +1100
@@ -745,6 +745,11 @@
   if (nifd->namenode->flags & fnnf_new_conff) {
     debug(dbg_conffdetail,"tarobject conffile extracted");
     nifd->namenode->flags |= fnnf_elide_other_lists;
+#ifdef WITH_SELINUX
+    if (selinux_enabled > 0)
+      if(setfscreatecon(NULL) < 0)
+        perror("Error restoring default security context:");
+#endif
     return 0;
   }
 
